package com.kelidestan.animation;

import android.os.Bundle;
import android.app.Activity;
import android.graphics.drawable.AnimationDrawable;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageView;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		final ImageView img = (ImageView) findViewById(R.id.imageView1);
        img.setBackgroundResource(R.anim.animation);

        img.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View v) {
            	img.setImageDrawable(null);
                AnimationDrawable anim = (AnimationDrawable) img.getBackground();
                anim.start();
            }
        });
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
